Subject: P1394> Tel-conf at 1/12

From: Greg Shue <[email-masked]>
Date: Mon, 19 Jan 1998 10:10:22 -0800 (PST)

> Fumio Wrote:
...
> flow. Thus we don't need to assume that a target agent will be stalled.

I think that's correct.

> On the other hand, when the target peer starts transaction, the initiator
> peer gives credits for each logical channels. In this case the initiator
> needs to append an in-ORB at each time. Because if the initiator
> appends N+k in-ORBs in a list, and the target has only N requests,
> then k in-ORBs will not be consumed. From this point of view, I think
> each in-ORB shall be set a notify bit one, when PWG-profile applied.
> The initiator may be notified when provided in-ORB is consumed by
> the target peer. Then the initiator may append one more in-ORB on
> the inked list.
> 
> As conclusion, I think we don't need to fill CDB with any socket 
> information
> nor control information,... Greg, do you have any points?

I agree with your conclusion.

The only additional point that comes to mind is the dependence
upon out-of-order execution, completion, and dequeuing of
requests (ORBs).  I'm uncomfortable with this because the SBP-2
spec doesn't describe out-of-order completion of requests or
removal of completed requests from within an active request list.

> --------------------------------------------
> -------------------------------
> Fumio Nagasaka
> Epson Software Development Laboratory Inc.
> Tel +81 268 25 4111,  Fax +81 268 25 4627
> E-mail to [email-masked]

-- 
Greg Shue
Hewlett-Packard Company
Office Products Division			[email-masked]
----------------------------------------------------------------